Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 598101 - Review Request: maven-deploy-plugin - Uploads the project artifacts to the internal remote repository.
Summary: Review Request: maven-deploy-plugin - Uploads the project artifacts to the in...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-31 12:37 UTC by Weinan Li
Modified: 2010-06-09 06:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-09 06:20:42 UTC
akurtako: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Weinan Li 2010-05-31 12:37:44 UTC
Spec URL: http://weli.fedorapeople.org/packages/fedora-14/maven-deploy-plugin/maven-deploy-plugin.spec
SRPM URL: http://weli.fedorapeople.org/packages/fedora-14/maven-deploy-plugin/maven-deploy-plugin-2.5-1.src.rpm
Description: Uploads the project artifacts to the internal remote repository.

Note: this needs to be built in the dist-f14-maven221 koji tag. Here is a
successful koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2219364

Comment 1 Alexander Kurtakov 2010-06-01 19:15:41 UTC
You should not set the fedora-review flag.
It should beset by the reviewer.
I'm taking it now.

Comment 2 Alexander Kurtakov 2010-06-01 19:24:07 UTC
Things to fix:
* Remove the depmap -it's not needed in koji now
* Use new names of the plugins e.g. maven-javadoc-plugin not maven2-plugin-javadoc
* You should obsolete/provide  maven2-plugin-deploy
* Please remove the empty line between %changelog and the changelog entry

Comment 3 Weinan Li 2010-06-02 04:09:53 UTC
- depmap removed
- Use new BRs for some already updated maven components
- obsolete/provide maven2-plugin-deploy
- Remove the empty line between changelog and the changelog entry

Spec URL:
http://weli.fedorapeople.org/packages/fedora-14/maven-deploy-plugin/maven-deploy-plugin.spec
SRPM URL:
http://weli.fedorapeople.org/packages/fedora-14/maven-deploy-plugin/maven-deploy-plugin-2.5-2.src.rpm

Note: this needs to be built in the dist-f14-maven221 koji tag. Here is a
successful koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2224090

Comment 4 Alexander Kurtakov 2010-06-02 06:48:52 UTC
Review:

FIXIT: rpmlint must be run on every package. Output:
maven-deploy-plugin.noarch: W: self-obsoletion maven2-plugin-deploy <= 0:2.0.8 
obsoletes maven2-plugin-deploy = 2.5-2.fc13

If you obsolete with epoch (it's needed because maven2 package has epoch 0), you should provide with epoch.

maven-deploy-plugin.noarch: W: no-documentation
maven-deploy-plugin.noarch: W: non-conffile-in-etc /etc/maven/fragments/maven-deploy-plugin


False positives. 

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as
provided in the spec URL. 
OK: The package MUST successfully compile and build into binary rpms on at
least one primary architecture. 
OK: All build dependencies must be listed in BuildRequires, except for any that
are listed in the exceptions section of the Packaging Guidelines ; inclusion of
those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. If it does not create a
directory that it uses, then it should require a package which does create that
directory. 
OK: A Fedora package must not list a file more than once in the spec file's
%files listings. 
OK: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line. 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. 
OK: If a package includes something as %doc, it must not affect the runtime of
the application. 
OK: Packages must not own files or directories already owned by other packages. 
OK: All filenames in rpm packages must be valid UTF-8.    
OK: Provides/Obsoletes are good.

FIXIT: URL should be http://maven.apache.org/plugins/maven-deploy-plugin/ not svn

Comment 5 Weinan Li 2010-06-02 08:41:30 UTC
- Fix URL
- Add Epoch

Spec URL:
http://weli.fedorapeople.org/packages/fedora-14/maven-deploy-plugin/maven-deploy-plugin.spec
SRPM URL:
http://weli.fedorapeople.org/packages/fedora-14/maven-deploy-plugin/maven-deploy-plugin-2.5-3.src.rpm

Note: this needs to be built in the dist-f14-maven221 koji tag. Here is a
successful koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2224389

Comment 6 Alexander Kurtakov 2010-06-02 08:55:22 UTC
Please remove the Epoch: 0 from the package and just change the Provides line to be:
Provides:       maven2-plugin-deploy = 0:%{version}-%{release}

Comment 7 Weinan Li 2010-06-02 09:48:58 UTC
- remove the Epoch section

Spec URL: http://weli.fedorapeople.org/packages/fedora-14/maven-deploy-plugin/maven-deploy-plugin.spec
SRPM URL: http://weli.fedorapeople.org/packages/fedora-14/maven-deploy-plugin/maven-deploy-plugin-2.5-4.src.rpm

Note: this needs to be built in the dist-f14-maven221 koji tag. Here is a
successful koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2224553

Comment 8 Alexander Kurtakov 2010-06-02 11:16:08 UTC
Thanks, looks good.

This package is APPROVED.

Comment 9 Weinan Li 2010-06-02 11:28:30 UTC
New Package CVS Request
=======================
Package Name: maven-deploy-plugin
Short Description: Uploads the project artifacts to the internal remote repository.
Owners: weli
Branches: 
InitialCC:

Comment 10 Kevin Fenzi 2010-06-03 20:32:56 UTC
CVS done (by process-cvs-requests.py).


Note You need to log in before you can comment on or make changes to this bug.